import path from 'path';

export const slotJsons: Map<number, any> = new Map();

export function getExternalJsonPath(filename: string): string {
	if (process.env.NODE_ENV === 'dev') {
		// 开发模式下使用相对路径
		return path.join(__dirname, '../../shared/jsons', filename);
	} else {
		// 生产模式下使用外部路径
		const filepath = path.join(__dirname, `../../../shared/jsons/${filename}`);
		// console.log('filepath', filepath);
		return filepath;
	}
}